## styx 2.0.1

=== libc++/Makefile ===
CXXFLAGS=-Wall -O2 -g
LDFLAGS=-lstdc++

all: libstyxc++.a StyxScannerTest StyxParseTreeTest

StyxScannerTest: StyxScannerTest.o StyxUtil.o libstyxc++.a 

StyxParseTreeTest: StyxParseTreeTest.o StyxUtil.o libstyxc++.a 

libstyxc++.a: StyxScanner.o StyxI18NLit.o StyxString.o StyxGrammar.o StyxParseTable.o
	ar r $@ $^

clean:
	-rm *.o *.bak *.a StyxScannerTest StyxParseTreeTest

depend:
	makedepend -Y -- $(CXXFLAGS) -- *.[Cch] 2>/dev/null

# DO NOT DELETE

StyxGrammar.o: StyxGrammar.h
StyxI18NLit.o: StyxI18NLit.h
StyxParseTable.o: StyxParseTable.h StyxString.h StyxGrammar.h StyxParser.h
StyxParseTable.o: StyxString.h StyxGrammar.h StyxParser.h
StyxParseTree.o: StyxStreamParser.h StyxString.h StyxGrammar.h StyxScanner.h
StyxParseTree.o: StyxParseTable.h StyxParser.h StyxTree.h
StyxParseTreeTest.o: StyxParseTree.h StyxStreamParser.h StyxString.h
StyxParseTreeTest.o: StyxGrammar.h StyxScanner.h StyxParseTable.h
StyxParseTreeTest.o: StyxParser.h StyxTree.h StyxUtil.h
StyxScanner.o: StyxScanner.h StyxString.h
StyxScannerTest.o: StyxStreamParser.h StyxString.h StyxGrammar.h
StyxScannerTest.o: StyxScanner.h StyxParseTable.h StyxParser.h StyxUtil.h
StyxStreamParser.o: StyxString.h StyxGrammar.h StyxScanner.h StyxParseTable.h
StyxStreamParser.o: StyxParser.h
StyxString.o: StyxString.h
StyxUtil.o: StyxUtil.h

=== libc++/test/Makefile ===
CXXFLAGS=-Wall -O2 -g -I..
LDFLAGS=-lstdc++

all: StyxValueTest StyxTreeTest

StyxValueTest: StyxValueTest.o 
#../libstyxc++.a 

StyxTreeTest: StyxTreeTest.o ../libstyxc++.a 

clean:
	-rm *.o *.bak *.a StyxValueTest StyxTreeTest

depend:
	makedepend -Y -- $(CXXFLAGS) -- *.[Cch] 2>/dev/null

# DO NOT DELETE

StyxTreeTest.o: ../StyxTree.h
StyxValueTest.o: StyxValue.h
t.o: StyxValue.h

=== debian/changelog ===
styx (2.0.1-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:45:57 +0000

styx (2.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Frederik Schüler <fs@debian.org>  Sat, 28 Dec 2013 18:20:37 +0100

styx (1.8.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ./config.status: 1358: ./config.status: gawk: not found":
    add build dependency on gawk (closes: #642738).
  * debian/rules: empty dependency_libs in .la files (closes: #633188).

 -- gregor herrmann <gregoa@debian.org>  Fri, 30 Dec 2011 16:02:26 +0100

=== debian/control ===
Source: styx
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Frederik Schüler <fs@debian.org>
Build-Depends: cdbs, autotools-dev, debhelper (>= 7), docbook-to-man, gawk
Standards-Version: 3.9.1
Homepage: http://speculate.de/styx/

Package: styx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Recommends: styx-dev (= ${binary:Version})
Suggests: styx-doc (= ${source:Version})
Description: combined parser/scanner generator for C/C++
 The package facilitates application development including
 user-defined context free languages.
 .
 Its development model deviates from the traditional lex/yacc pair
 (flex/bison in Debian) by automating tedious tasks which are
 commonly implemented in yacc's actions.
 .
 Styx automatically derives a depth grammar, generates reentrant
 parsers that support persistent derivation trees, preserve full
 source information, support Unicode and are thread safe.
Tag: devel::{code-generator,lang:c,lang:c++,lang:php,lang:c#}, implemented-in::c, interface::commandline, role::program, scope::utility, suite::gnu, works-with::software:source

Package: libstyx2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends} 
Provides: libdstyx, libxstyx
Conflicts: libdstyx, libxstyx
Replaces: libdstyx, libxstyx
Description: runtime libraries for styx
 Dynamically linked programs containing lexical scanners or parsers
 developed with styx depend on this library.
 .
 It implements abstract grammar, LALR(1) parser and lexical scanner
 interfaces, hashed symbol tables and supporting data types.
Tag: role::shared-lib, suite::gnu

Package: styx-dev
Architecture: any
Depends: styx (= ${binary:Version}), ${misc:Depends}
Suggests: styx-doc (= ${source:Version})
Description: combined parser/scanner generator development files
 Static libraries and headers needed for development with styx.
 .
 cf. styx for features.
Tag: devel::library, role::devel-lib, suite::gnu

Package: styx-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: combined parser/scanner generator documentation
 "The Styx Handbook" describes application development with styx and
 contains HTML reference documentation for the styx API.
 .
 Contains a full blown example showing how to build an XML parser
 with styx.
 .
 cf. styx for features.
Tag: devel::doc, devel::examples, made-of::html, role::documentation

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_INCLUDEDIR := /usr/include/styx
DEB_CONFIGURE_EXTRA_FLAGS := --datadir=/usr/share/doc/styx-doc \
			     ac_cv_htmldir=/usr/share/doc/styx-doc/html \
			     ac_cv_sgmldir=/usr/share/doc/styx-doc/sgml

build/styx:: debian/styx.1
debian/styx.1: debian/styx.sgml
	docbook-to-man $< > $@

clean::
	rm -f debian/styx.1

build/styx-doc:: debian/styx-xml.tar.gz
debian/styx-xml.tar.gz:
	set -e; \
	for args in "pgmxml/*.c                 debian/styx-xml" \
		    "spexml/*.sty spexml/*.lex  debian/styx-xml/spe" \
		    "genxml/xml_test_cim.c      debian/styx-xml/gen" \
		    "libxml/*.[ch]              debian/styx-xml/lib"; do \
	    install -d $${args##*[[:space:]]}; \
	    install -m 644 -p $$args; \
	done
	install -m 755 debian/styx-xml.mx debian/styx-xml/mx
	GZIP=-9 tar -czf $@ --owner=root --group=root -C debian styx-xml

clean::
	rm -rf debian/styx-xml debian/styx-xml.tar.gz

# Disable default target since we want to do install-{exec,data} separately.
DEB_MAKE_INSTALL_TARGET :=

common-install-arch::
	$(MAKE) install-exec DESTDIR=$(DEB_DESTDIR)
	mkdir -p debian/libstyx2/usr/share/lintian/overrides/
	install -o root -g root -m 0644 debian/libstyx2.lintian \
  debian/libstyx2/usr/share/lintian/overrides/libstyx2



install/styx-dev::
	set -e; \
	for dir in libbase modstd pgm inc; do \
	    $(MAKE) -C $$dir install-data DESTDIR=$(CURDIR)/debian/styx-dev; \
	done

install/styx-doc:: debian/styx-xml.tar.gz
	set -e; \
	for dir in doc examples spe pat; do \
	    $(MAKE) -C $$dir install-data DESTDIR=$(CURDIR)/debian/styx-doc; \
	done
	find debian/styx-doc -size 0 | xargs rm -f

# empty dependency_libs in .la files
binary-install/styx-dev::
	sed -i "/dependency_libs/ s/'.*'/''/" $(CURDIR)/debian/styx-dev/usr/lib/*.la

DEB_DH_MAKESHLIBS_ARGS_ALL := -V
DEB_SHLIBDEPS_INCLUDE := debian/libstyx2/usr/lib

=== debian/watch ===
# watch control file for uscan
# Site		Directory		Pattern			Version	Script
version=2
http://www.speculate.de/styx/en/download.html	.*/styx-(.*)\.tar\.gz	debian	uupdate
